package com.ruoyi.web.work.api;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.web.work.domain.Company;
import com.ruoyi.web.work.domain.vo.CompanyListVo;
import com.ruoyi.web.work.service.ICompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 企业管理
 *
 * @author lsw
 * @date 2024-04-16
 */
@RestController
@RequestMapping("/app/company")
public class Api_CompanyController extends BaseController {
    @Autowired
    private ICompanyService companyService;

    @GetMapping("/list")
    public TableDataInfo list(Company company) {
        startPage();
        List<CompanyListVo> list = companyService.selectCompanyList(company);
        return getDataTable(list);
    }
}
