package com.ruoyi.web.work.api;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.api.config.BaseController;
import com.ruoyi.web.work.domain.Enterprise;
import com.ruoyi.web.work.service.IEnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/enterprise")
public class Api_EnterpriseController extends BaseController {

    @Autowired
    private IEnterpriseService enterpriseService;

    @PostMapping("/index")
    public AjaxResult index() {
        return enterpriseService.index();
    }

    @PostMapping("/edit")
    public AjaxResult edit(@Validated @RequestBody Enterprise enterprise) {
        return enterpriseService.edit(enterprise);
    }
}

