package com.ruoyi.web.work.api;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.api.config.BaseController;
import com.ruoyi.web.work.domain.Resume;
import com.ruoyi.web.work.service.IResumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 简历主
 *
 * @author lsw
 * @date 2024-06-04
 */
@RestController
@RequestMapping("/app/resume")
public class Api_ResumeController extends BaseController {
    @Autowired
    private IResumeService resumeService;

    @GetMapping("/index")
    public AjaxResult index() {
        return resumeService.index();
    }

    @PostMapping("/edit")
    public AjaxResult edit(@Validated @RequestBody Resume resume) {
        return resumeService.edit(resume);
    }

}
