package com.ruoyi.web.work.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AuthDto {

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty(value = "姓名")
    private String name;

    @NotBlank(message = "身份证不能为空")
    @ApiModelProperty(value = "身份证")
    private String idCard;

    @NotBlank(message = "身份证人面像不能为空")
    @ApiModelProperty(value = "身份证人面像")
    private String p1;

    @NotBlank(message = "身份证人徽面不能为空")
    @ApiModelProperty(value = "身份证人徽面")
    private String p2;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotBlank(message = "支付宝账号不能为空")
    @ApiModelProperty(value = "支付宝")
    private String alipay;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "家庭地址")
    private String address;

    @ApiModelProperty(value = "民族")
    private String nationality;

    @ApiModelProperty(value = "生日")
    private String birth;

    @ApiModelProperty(value = "有效期")
    private String endDate;
}
