package com.ruoyi.web.work.domain.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author lsw
 * @date 2024-04-15
 */
@Data
@Accessors(chain = true)
public class ProjectChangeDto {

    @NotNull(message = "参数错误")
    private Long id;

    @NotNull(message = "状态不能为空")
    @Min(value = 0, message = "state 只能是 0 或者 1")
    @Max(value = 1, message = "state 只能是 1 或者 0")
    private Integer state;
}
