package com.ruoyi.web.work.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author lsw
 * @date 2024-04-16
 */
@Data
@Accessors(chain = true)
public class PackagesListVo {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "接包凭证")
    private String voucher;

    @ApiModelProperty(value = "凭证审核")
    private Integer audit;

    @ApiModelProperty(value = "驳回原因")
    private String msg;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "项目内容")
    private String contents;

    @ApiModelProperty(value = "服务公司")
    private String serviceCompany;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束时间")
    private Date finishDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结算日")
    private Date balanceDate;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
