package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.ContractDetail;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-24
 */
public interface ContractDetailMapper extends BaseMapper<ContractDetail> {
    List<ContractDetail> selectList(ContractDetail contractDetail);

    @Select("SELECT * FROM tb_contract_detail WHERE user_id=#{userId}")
    ContractDetail selectByUserId(@Param("userId") Long userId);
}
