package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Notice;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author 高伟森
 * @date 2024-04-18
 */
public interface NoticeMapper extends BaseMapper<Notice> {
    List<Notice> selectList(Notice notice);

    List<Notice> queryList(@Param("type") String type);

    @Select("SELECT * FROM tb_notice WHERE title = #{title}")
    Notice selectByTitle(@Param("title") String title);
}
