package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Packages;
import com.ruoyi.web.work.domain.vo.PackagesListVo;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-19
 */
public interface PackagesMapper extends BaseMapper<Packages> {
    List<Packages> selectList(Packages packages);

    List<PackagesListVo> selectPackagesList(Packages packages);

    @Select("SELECT * FROM tb_packages WHERE user_id=#{userId} AND project_id= #{projectId}")
    Packages check(Packages packages);
}
