package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.Banner;
import com.ruoyi.web.work.mapper.BannerMapper;
import com.ruoyi.web.work.service.IBannerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
@Service
public class BannerServiceImpl extends ServiceImpl<BannerMapper, Banner> implements IBannerService {
    @Autowired
    private BannerMapper bannerMapper;

    @Override
    public List<Banner> selectList(Banner banner) {
        return bannerMapper.selectList(banner);
    }

    @Override
    public List<Banner> homeList() {
        return bannerMapper.homeList();
    }
}
