package com.ruoyi.web.work.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.RecordMapper;
import com.ruoyi.web.work.domain.Record;
import com.ruoyi.web.work.service.IRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-04-26
 */
@Service
public class RecordServiceImpl extends ServiceImpl<RecordMapper, Record> implements IRecordService {
    @Autowired
    private RecordMapper recordMapper;

    @Override
    public List<Record> selectList(Record record) {
        return recordMapper.selectList(record);
    }
}
