package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 */
public class CacheConstants {
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * APP登录用户 redis key
     */
    public static final String APP_LOGIN_TOKEN_KEY = "app_login_tokens:";

    /**
     * APP栏目分类 redis key
     */
    public static final String APP_COLUMN_KEY = "app_column:";

    /**
     * APP检查更新 redis key
     */
    public static final String APP_UPGRADE_KEY = "app_upgrade:";

    /**
     * APP新闻资讯 redis key
     */
    public static final String APP_NEWS_KEY = "app_news:";

    /**
     * APP最新计划 redis key
     */
    public static final String APP_PLAN_KEY = "app_plan:";

    /**
     * APP通知公告 redis key
     */
    public static final String APP_NOTICE_KEY = "app_notice:";

    public static final String APP_PROGRESS = "app_progress:";

    /**
     * APP redis key
     */
    public static final String APP_COMMON_KEY = "app_common:";

    /**
     * APP短信验证码 redis key
     */
    public static final String APP_CODE_KEY = "app_code:";

    /**
     * APP下载模型redis key
     */
    public static final String APP_DOWNLOAD = "app_download:";

    /**
     * APP首页自定义图 redis key
     */
    public static final String APP_BANNER_KEY = "app_banner:";

    /**
     * 平台信息 redis key
     */
    public static final String APP_PLATFORM= "app_platform:";
}
