package com.ruoyi.web.work.api;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.web.work.domain.Project;
import com.ruoyi.web.work.domain.vo.ProjectListVo;
import com.ruoyi.web.work.service.IProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 项目管理
 *
 * @author lsw
 * @date 2024-04-15
 */
@RestController
@RequestMapping("/app/project")
public class Api_ProjectController extends BaseController {
    @Autowired
    private IProjectService projectService;

    @GetMapping("/list")
    public TableDataInfo list(Project project) {
        startPage();
        List<ProjectListVo> list = projectService.selectProjectList(project);
        return getDataTable(list);
    }

}
