package com.ruoyi.web.work.domain.base;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author lsw
 * @date 2024-04-16
 */
@Data
@Accessors(chain = true)
public class BaseData {
    private static final long serialVersionUID = 1L;

    //开始日期
    @TableField(exist = false)
    @JsonIgnore
    private String dateBegin;

    //结束日期
    @TableField(exist = false)
    @JsonIgnore
    private String dateEnd;

    //结算单审核人
    @TableField(exist = false)
    @JsonIgnore
    private boolean auditors;
}
