package com.ruoyi.web.work.domain.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@Accessors(chain = true)
public class ContractDto {

    @NotNull(message = "合同模板不能为空")
    private Long contractId;

    @NotBlank(message = "签名不能为空")
    private String url;
}
