package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
public class RechargeDto {


    @NotNull(message = "参数错误")
    private Long id;

    @NotNull(message = "参数错误")
    @Min(value = 1, message = "state 只能是 1 或者 2")
    @Max(value = 2, message = "state 只能是 1 或者 2")
    private Integer state;

    private String msg;
}
