package com.ruoyi.web.work.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @author lsw
 * @date 2024-04-20
 */
@Data
@Accessors(chain = true)
public class StatementExportListVo {
    private static final long serialVersionUID = 1L;

    @Excel(name = "序号（必填）")
    private Integer index;

    @Excel(name = "账号（必填）",width =30)
    private String bankAccount;

    @Excel(name = "户名（必填）")
    private String name;

    @Excel(name = "金额（必填）")
    private BigDecimal money;

    @Excel(name = "跨行标识（选填 建行填0 他行填1）",width =35)
    private Integer flag;

    @Excel(name = "行名（跨行业务与联行行号不能同时为空）",width=37)
    private String bankName;

    @Excel(name = "联行行号（跨行业务与行名不能同时为空）",width=37)
    private String row;

    @Excel(name = "摘要（选填 显示在收款账户流水明细中）",width=37)
    private String excerpt;

    @Excel(name = "备注（选填）",width=40)
    private String remarks;

}
