package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.User;
import com.ruoyi.web.work.domain.dto.AuthDto;
import com.ruoyi.web.work.domain.dto.ChoiceDto;
import com.ruoyi.web.work.domain.dto.LoginDto;
import com.ruoyi.web.work.domain.dto.UserDto;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
public interface IUserService extends IService<User>{
    List<User> selectList(User user);

    AjaxResult login(LoginDto dto);

    AjaxResult auth(AuthDto dto);

    AjaxResult edit(UserDto dto);

    AjaxResult choice(ChoiceDto dto);
}
