package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.ContractDetail;
import com.ruoyi.web.work.mapper.ContractDetailMapper;
import com.ruoyi.web.work.service.IContractDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-24
 */
@Service
public class ContractDetailServiceImpl extends ServiceImpl<ContractDetailMapper, ContractDetail> implements IContractDetailService {
    @Autowired
    private ContractDetailMapper contractDetailMapper;

    @Override
    public List<ContractDetail> selectList(ContractDetail contractDetail) {
        return contractDetailMapper.selectList(contractDetail);
    }

    @Override
    public ContractDetail selectByUserId(Long userId) {
        return contractDetailMapper.selectByUserId(userId);
    }
}
